# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/rtc/nvidia,vrs-10.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: NVIDIA Voltage Regulator Specification Real Time Clock

maintainers:
  - Shubhi Garg <shgarg@nvidia.com>

description:
  NVIDIA VRS-10 (Voltage Regulator Specification) is a Power Management IC
  (PMIC) that implements a power sequencing solution with I2C interface.
  The device includes a real-time clock (RTC) with 32kHz clock output and
  backup battery support, alarm functionality for system wake-up from
  suspend and shutdown states, OTP memory for power sequencing configuration,
  and an interrupt controller for managing VRS events.

properties:
  compatible:
    const: nvidia,vrs-10

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  interrupt-controller: true

  '#interrupt-cells':
    const: 2

required:
  - compatible
  - reg
  - interrupts
  - interrupt-controller
  - '#interrupt-cells'

additionalProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        pmic@3c {
            compatible = "nvidia,vrs-10";
            reg = <0x3c>;
            interrupt-parent = <&pmc>;
            interrupts = <24 IRQ_TYPE_LEVEL_LOW>;
            interrupt-controller;
            #interrupt-cells = <2>;
        };
    };
